#include <bits/stdc++.h>
using namespace std;   

typedef unsigned long long ull;

int main()
{
    int n,q; cin >> n >> q;
    vector<int> a(n),b(n);
    for(int i=0; i<n; i++) cin >> a[i];
    for(int i=0; i<q; i++) cin >> b[i];
    for(int i=0; i<q; i++){
        int x=0, l=0, r=0;
        for(int j=0; j<n; j++){
            if(a[j]==b[i])x++;
            if(a[j]>b[i])r++;
            if(a[j]<b[i])l++;
        }
        if(l>r){
            cout << max(l-r-x,0) << '\n';
        }
        else if(l<r){
            cout << max(r-l-x+1,0) << '\n';
        }
        else if(l==r){
            if(x==0)cout << 1 << '\n';
            else cout << 0 << '\n';
        }
    }
    
    return 0;
}